No dump from streamline lwi script combo

Hello,


I am trying to profile a Unity game on Android. Have followed the Unity specific steps for dev and built the apk.

Then I try to run the lwi script with these params -

python3 lwi_me.py --lwi-mode=capture --lwi-fps-threshold=20 -v --daemon ../../../streamline/bin/arm64/gatord --lwi-out-dir= /mnt/data/Documents/armmobilestudio/frames

I see my debug app and then Select it.

I then go onto starting Streamline for capture. In the meanwhile I check with adb shell "ps -A | grep gator" and it shows the package location where gatord has started -

# ps -A | grep gator                                                                                                                                                                                    
u0_a34       11672  3102   23184   5784 SyS_epoll_wait 754df30660 S gatord

# ps -o COMMAND | grep gator

/data/data/com.company.name/gatord


When Streamline starts I choose midguard (config) as have a T860 on the SoC. It asks me that gatord is running on the system so what do you want to do... I click on advanced and choose the device visible on the screen.

Start Capture

No Data :(

In the meanwhile on the device I see another gatord running -

adb shell "ps -A | grep gator"
u0_a34       26172  3102   25232   5816 SyS_epoll_wait 7cb9572660 S gatord
u0_a34       26374 26172   25168   4348 0          7cb9573188 R gatord


Streamline is unable to capture any data, the app does not automatically start and no dump comes out. Following the procedure from here - https://youtu.be/9_mdAzAx39w

When I press enter on the lwi command window I get this -

Trying to pull LWI local capture from device if there is one
Traceback (most recent call last):
  File "lwi_me.py", line 160, in pull_capture
    adb_stdout = device.adb("shell", "run-as", package, "ls", "meerkat")
  File "/mnt/data/Documents/arm/Arm_Mobile_Studio_2021.2/performance_advisor/lwi/helpers/gator_me.py", line 244, in adb
    rep = sp.run(commands, check=True, shell=shell, stdout=sp.PIPE,
  File "/usr/lib/python3.8/subprocess.py", line 516, in run
    raise CalledProcessError(retcode, process.args,
subprocess.CalledProcessError: Command '['adb', '-s', 'ADBNAME', 'shell', 'run-as', 'com.company.name', 'ls', 'meerkat']' returned non-zero exit status 1.

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "lwi_me.py", line 655, in <module>
    sys.exit(main())
  File "lwi_me.py", line 633, in main
    if not pull_capture(device, lwiOutDir, package):
  File "lwi_me.py", line 161, in pull_capture
    except CalledProcessError:
NameError: name 'CalledProcessError' is not defined

I am using this as a reference - developer.arm.com/.../Run-the-script-and-capture-a-Streamline-profile


PS - I can run Streamline standalone and capture data from the device but I wanted to run PA on the captured data

Parents
  • Hi, 

    We have a known-issue with using the LWI script with an interactive Streamline session. This will be getting fixed in the Mobile Studio 2021.3 release at the end of August. 

    The workaround is to:

    * Run the lwi_me.py script as normal. 
    * Try to connect with Streamline.
    * When you get the dialog prompting because a gator instance is already running, then choose "Reset".
    * Use the Streamline counter configuration option and select the GPU template. 
    * Capture with Streamline as normal. 
    * After the capture is finished, switch back to lwi_me.py and hit enter. 
    * You'll get an error message from the lwi_me.py script at this point, but this can be ignored. 

    Let me know if that solves your problem. 

    Kind regards, 
    Pete

Reply
  • Hi, 

    We have a known-issue with using the LWI script with an interactive Streamline session. This will be getting fixed in the Mobile Studio 2021.3 release at the end of August. 

    The workaround is to:

    * Run the lwi_me.py script as normal. 
    * Try to connect with Streamline.
    * When you get the dialog prompting because a gator instance is already running, then choose "Reset".
    * Use the Streamline counter configuration option and select the GPU template. 
    * Capture with Streamline as normal. 
    * After the capture is finished, switch back to lwi_me.py and hit enter. 
    * You'll get an error message from the lwi_me.py script at this point, but this can be ignored. 

    Let me know if that solves your problem. 

    Kind regards, 
    Pete

Children
More questions in this forum
There are no posts to show. This could be because there are no posts in this forum or due to a filter.